package com.redxun.knowledge.map.entity.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 文件名: MapContentVo
 * 作者: Zizg
 * 时间: 2023/1/16
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
public class MapContentVo implements Serializable {

    //主键
    private String pkId;

    //学习内容类型;1-外部系统 2-维基知识
    private Integer type;

    //状态;取值：0-未学习  1-已学习
    private Integer state;

    //知识Id
    private String knowledgeId;

    //系统名称（外部系统）
    private String outerSystemName;

    //内容名称（外部系统）
    private String outerContentName;

    //访问地址（外部系统）
    private String outerAccessUrl;

    //排序
    private Integer sort;

    //如果存在知识,返回知识信息
    private KnowledgeVo knowledgeVo;
}
