
package com.redxun.knowledge.map.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.base.db.PageHelper;
import com.redxun.common.base.search.QueryFilter;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.common.UserService;
import com.redxun.knowledge.entity.vo.DicVo;
import com.redxun.knowledge.map.entity.dao.MapGroupPurviewUser;
import com.redxun.knowledge.map.entity.vo.MapVo;
import com.redxun.knowledge.map.mapper.MapGroupPurviewUserMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.Resource;

/**
* [业务--知识地图组织可阅读者表]业务服务类
*/
@Service
public class MapGroupPurviewUserServiceImpl extends SuperServiceImpl<MapGroupPurviewUserMapper, MapGroupPurviewUser> implements BaseService<MapGroupPurviewUser> {

    @Resource
    private MapGroupPurviewUserMapper mapGroupPurviewUserMapper;

    @Autowired
    private UserService userService;

    @Override
    public BaseDao<MapGroupPurviewUser> getRepository() {
        return mapGroupPurviewUserMapper;
    }

    /**
     * 分页查询可阅读员工列表
     * @param queryFilter
     * @return
     */
    public IPage query(QueryFilter queryFilter) {
        java.util.Map<String, Object> params = PageHelper.constructParams(queryFilter);
        IPage page = mapGroupPurviewUserMapper.findAllMapGroupPurviewUser(queryFilter.getPage(), queryFilter.getParams(), params);
        List<MapGroupPurviewUser> records = page.getRecords();
        records.forEach(e -> {
            String userId = e.getUserId();
            //userService.
        });
        return page;


    }

}
